Subject: Re: egcs 1.1.1 assembler output for 2.2. kernel compilation.

From: Nicholas Clark <[email-masked]>
Date: Thu, 11 Mar 1999 12:11:51 +0000 (GMT)

In the last mail [email-masked] said:

> Agreed.  I've now had confirmation from ARM Ltd that LDRT Rm, [Rm] results
> in UNPREDICTABLE behaviour.  So it appears that binutils is correct and we
> should fix the kernel.

Whoa - that's not actually the culprit, is it?

the warning was trigged from code generated with gcc -O0. Assembly
code was generated with gcc -S and the same command line. I think I
know why the problem may not have been noticed before - with gcc -O2
-S I discover that all the LDRTs are optimised so that Rm never equals
Rn. (One is usually ip or lr, but not quite always)

Nick
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]